Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005TeamBallLocator::BasicCell Class Reference

`#include <GT2005TeamBallLocator.h>`

Inheritance diagram for GT2005TeamBallLocator::BasicCell:

[legend]
Collaboration diagram for GT2005TeamBallLocator::BasicCell:

[legend]
List of all members.

## Public Member Functions
| BasicCell ()
| BasicCell (Vector2< double > topLeft, Vector2< double > downRight, AbstractCell *parent, int depth)
void | calcAverages (int numOfParticles)
void | getParticles (GT2005Particle **first)
void | addParticle (GT2005Particle *particle)
double | getSumOfProb ()
void | violentBrutalDestruction ()
## Public Attributes
double | x
double | y
double | p

## Constructor & Destructor Documentation

GT2005TeamBallLocator::BasicCell::BasicCell | ( |  | ) | `[inline]`

| Definition at line 113 of file GT2005TeamBallLocator.h.

GT2005TeamBallLocator::BasicCell::BasicCell | ( | Vector2< double > | topLeft,
|  | Vector2< double > | downRight,
|  | AbstractCell * | parent,
|  | int | depth
| ) | `[inline]`

| Definition at line 114 of file GT2005TeamBallLocator.h.

## Member Function Documentation

void GT2005TeamBallLocator::BasicCell::calcAverages | ( | int | numOfParticles | ) | `[inline]`

| Definition at line 129 of file GT2005TeamBallLocator.h. References GT2005Particle::next, GT2005Particle::pose, GT2005Particle::probability, Vector2< double >::x, and Vector2< double >::y. Referenced by getParticles().

void GT2005TeamBallLocator::BasicCell::getParticles | ( | GT2005Particle ** | first | ) | `[inline, virtual]`

| Reimplemented from GT2005TeamBallLocator::AbstractCell. Definition at line 152 of file GT2005TeamBallLocator.h. References calcAverages(), and numOfBLParticles.

Here is the call graph for this function:

void GT2005TeamBallLocator::BasicCell::addParticle | ( | GT2005Particle * | particle | ) | `[inline, virtual]`

| Reimplemented from GT2005TeamBallLocator::AbstractCell. Definition at line 169 of file GT2005TeamBallLocator.h. References GT2005Particle::next.

double GT2005TeamBallLocator::BasicCell::getSumOfProb | ( |  | ) | `[inline, virtual]`

| Reimplemented from GT2005TeamBallLocator::AbstractCell. Definition at line 182 of file GT2005TeamBallLocator.h.

void GT2005TeamBallLocator::BasicCell::violentBrutalDestruction | ( |  | ) | `[inline, virtual]`

| Reimplemented from GT2005TeamBallLocator::AbstractCell. Definition at line 184 of file GT2005TeamBallLocator.h. References GT2005Particle::next.

## Member Data Documentation

double GT2005TeamBallLocator::BasicCell::x

| Definition at line 108 of file GT2005TeamBallLocator.h.

double GT2005TeamBallLocator::BasicCell::y

| Definition at line 109 of file GT2005TeamBallLocator.h.

double GT2005TeamBallLocator::BasicCell::p

| Definition at line 110 of file GT2005TeamBallLocator.h. Referenced by GT2005TeamBallLocator::CompositeCell::split().

The documentation for this class was generated from the following file:

- Modules/TeamBallLocator/GT2005TeamBallLocator.h